Page MenuHomePhabricator

Refactor upload.py / move re-usable parts to framework
Closed, ResolvedPublic

Description

We have quite a few pywikibot scripts in core (https://git.wikimedia.org/tree/pywikibot%2Fcore.git/HEAD/scripts). Some of these scripts import other scripts. That shouldn't happen. These target scripts should probably be split up in a library part and a script part:

grep "from scripts import" *.py

data_ingestion.py:from scripts import upload
flickrripper.py:from scripts import upload
template.py:from scripts import replace
Most notable one is upload.py

Details

Related Gerrit Patches:

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw added subscribers: Multichill, valhallasw, Ricordisamoa, Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 9:40 PM
jayvdb added a subscriber: jayvdb.Feb 14 2015, 3:07 AM
jayvdb set Security to None.

Change 283422 had a related patch set uploaded (by Xqt):
[IMPR] Separate scripts and library part

https://gerrit.wikimedia.org/r/283422

Restricted Application added a subscriber: Avicennasis. · View Herald TranscriptApr 14 2016, 12:13 PM
Xqt claimed this task.Aug 24 2016, 4:34 PM
Xqt triaged this task as Medium priority.Aug 26 2016, 7:52 AM

Change 283422 merged by jenkins-bot:
[IMPR] Separate scripts and library part

https://gerrit.wikimedia.org/r/283422

Magul closed this task as Resolved.Nov 28 2016, 6:36 PM